package de.unisaar.jfap.ex9;

import static org.assertj.core.api.Assertions.assertThat;

import java.io.IOException;
import java.nio.file.Paths;
import org.junit.jupiter.api.Test;

class PathFinderTest {

  @Test
  void testShortestPath() throws IOException {
    assertThat(PathFinder.findShortestPathLength(Paths.get("src/test/data/pathfinder-demo.txt")))
        .isEqualTo(31);
    assertThat(PathFinder.findShortestPathLength(Paths.get("src/test/data/pathfinder.txt")))
        .isEqualTo(490);
  }

  @Test
  void testShortestAsPath() throws IOException {
    assertThat(
            PathFinder.findShortestPathLengthForAs(Paths.get("src/test/data/pathfinder-demo.txt")))
        .isEqualTo(29);
    long startTime = System.currentTimeMillis();
    assertThat(PathFinder.findShortestPathLengthForAs(Paths.get("src/test/data/pathfinder.txt")))
        .isEqualTo(488);
    System.out.println("runtime in milliseconds: " + (System.currentTimeMillis() - startTime));
  }
}
